from qgis.core import QgsRendererV2Registry

from mytestrenderer import MyTestRendererMetadata


class RendererTestPlugin:
    def __init__(self, iface):
        self.iface = iface

        self.metadata = MyTestRendererMetadata()

        QgsRendererV2Registry.instance().addRenderer(self.metadata)

    def unload(self):
        QgsRendererV2Registry.instance().removeRenderer('MyTestRenderer')

    def initGui(self):
        pass
