import os
import fnmatch

from qgis.core import QgsMarkerSymbolV2, QgsSvgMarkerSymbolLayerV2


def symbolForCode(code, size):
    symbol = QgsMarkerSymbolV2()
    symbolLayer = QgsSvgMarkerSymbolLayerV2()
    symbolLayer.setPath(os.path.join(os.path.dirname(__file__), 'svg', 'octagon.svg'))
    symbolLayer.setSizeUnit(3)
    symbolLayer.setSize(size)
    symbol.insertSymbolLayer(0, symbolLayer)
    return symbol


def getDefaultSymbol(size):
    symbol = QgsMarkerSymbolV2()
    symbolLayer = QgsSvgMarkerSymbolLayerV2()
    symbolLayer.setPath(os.path.join(os.path.dirname(__file__), 'svg', 'questionmark.svg'))
    symbolLayer.setSizeUnit(3)
    symbolLayer.setSize(size)
    symbol.insertSymbolLayer(0, symbolLayer)
    return symbol
